### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
FFTVarianceGammaEngine Class Reference
Vanilla option engines

FFT engine for vanilla options under a Variance Gamma process. More...

`#include <ql/experimental/variancegamma/fftvariancegammaengine.hpp>`

Inheritance diagram for FFTVarianceGammaEngine:
[legend]

List of all members.

## Public Member Functions

| FFTVarianceGammaEngine (const boost::shared_ptr< VarianceGammaProcess > &process, Real logStrikeSpacing=0.001)
virtual std::auto_ptr< FFTEngine > | clone () const

## Protected Member Functions

virtual void | precalculateExpiry (Date d)
virtual std::complex< Real > | complexFourierTransform (std::complex< Real > u) const
virtual Real | discountFactor (Date d) const
virtual Real | dividendYield (Date d) const

## Detailed Description

FFT engine for vanilla options under a Variance Gamma process.

Tests:
  the correctness of the returned values is tested by comparison with known good values and the analytic approach